/***********************************************
  Client main for CT2D // Band Matrix Version
************************************************/
#include <stdio.h>
#include <string.h>
#include "ct2d.h"
/*** external function ***/
#include "Control.h"
#include "LIButility.h"

/**********************
 Start CT2D Main
***********************/
//int main(int argc,char *argv[])
int main()
{
	char inpfile[NAME_LENG];
	char outfile[NAME_LENG];
	char logfile[NAME_LENG];
	char vtffile[NAME_LENG];
	char pltfile[NAME_LENG];
	char matfile[NAME_LENG];  // 2014apr04
	CT2D myFEM;
	int i;
/***** Get File Name from command line *****/
	strcpy(inpfile,"");
	strcpy(outfile,"");
	strcpy(logfile,"");
	strcpy(vtffile,"vtf.vtf");
	strcpy(pltfile,"plt.plt");
/*
	for (i=1;i< argc;i++){
		if(!strncmp(argv[i],"inp=",4)) get_key(argv[i],inpfile,"inp=");
		if(!strncmp(argv[i],"out=",4)) get_key(argv[i],outfile,"out=");
		if(!strncmp(argv[i],"log=",4)) get_key(argv[i],logfile,"log=");
		if(!strncmp(argv[i],"vtf=",4)) get_key(argv[i],vtffile,"vtf=");
		if(!strncmp(argv[i],"plt=",4)) get_key(argv[i],pltfile,"plt=");
	}
	strcpy(inpfile,"Ttest0.dat");
	strcpy(outfile,"Ttest0.out");
	strcpy(logfile,"Ttest0.log");
	strcpy(vtffile,"Ttest0.vtf");
	strcpy(pltfile,"Ttest0.plt");

	strcpy(inpfile,"S25.dat");
	strcpy(outfile,"S25.out");
	strcpy(logfile,"S25.log");
	strcpy(vtffile,"S25.vtf");
	strcpy(pltfile,"S25.plt");

	strcpy(inpfile,"L5.dat");
	strcpy(outfile,"L5.out");
	strcpy(logfile,"L5.log");
	strcpy(vtffile,"L5.vtf");
	strcpy(pltfile,"L5.plt");

	strcpy(inpfile,"S5Free.dat");
	strcpy(outfile,"S5Free.out");
	strcpy(logfile,"S5Free.log");
	strcpy(vtffile,"S5Free.vtf");
	strcpy(pltfile,"S5Free.plt");
*/
//
	strcpy(inpfile,"S13Free.dat");  // S is may but SS is Oct13
	strcpy(outfile,"S13Free.out");
	strcpy(logfile,"S13Free.log");
	strcpy(vtffile,"S13Free.vtf");
	strcpy(pltfile,"S13Free.plt");
	strcpy(matfile,"S13Free.txt");     // 2015apr21
//	strcpy(matfile,"T13freeO3.txt");   // 2014oct21
//	strcpy(matfile,"T13free.txt");     // 2014oct21
//	strcpy(matfile,"T13freeO3m.txt");  // 2014oct21
/*
	strcpy(inpfile,"SS13Free.dat");  // S is may but SS is Oct13
	strcpy(outfile,"SS13Free.out");
	strcpy(logfile,"SS13Free.log");
	strcpy(vtffile,"SS13Free.vtf");
	strcpy(pltfile,"SS13Free.plt");
//	strcpy(matfile,"TT13free.txt");  // 2014may06, 2014oct13
	strcpy(matfile,"TT13freeO3.txt");  // 2014may09, 2014oct13
*/
/*
	strcpy(inpfile,"SD13Free.dat");  // D is Double, i.e., SECT=2.0
	strcpy(outfile,"SD13Free.out");
	strcpy(logfile,"SD13Free.log");
	strcpy(vtffile,"SD13Free.vtf");
	strcpy(pltfile,"SD13Free.plt");
//	strcpy(matfile,"TD13free.txt");  // 2014oct14
	strcpy(matfile,"TD13freeO3.txt");  // 2014oct14
*/
/*
	strcpy(inpfile,"R25Free.dat");
	strcpy(outfile,"R25Free.out");
	strcpy(logfile,"R25Free.log");
	strcpy(vtffile,"R25Free.vtf");
	strcpy(pltfile,"R25Free.plt");
	strcpy(matfile,"V25free.txt");  // 2014oct11
*/
/*
	strcpy(inpfile,"O25Free.dat");
	strcpy(outfile,"O25Free.out");
	strcpy(logfile,"O25Free.log");
	strcpy(vtffile,"O25Free.vtf");
	strcpy(pltfile,"O25Free.plt");
	strcpy(matfile,"X25free.txt");  // 2014oct12
*/
/*
	strcpy(inpfile,"SS41Free.dat");
	strcpy(outfile,"SS41Free.out");
	strcpy(logfile,"SS41Free.log");
	strcpy(vtffile,"SS41Free.vtf");
	strcpy(pltfile,"SS41Free.plt");
//	strcpy(matfile,"TT41free.txt");  // 2014oct13
	strcpy(matfile,"TT41freeO3.txt");  // 2014oct15
*/
	if( !strcmp(inpfile,"")  || !strcmp(outfile,"") ) {
//		fprintf(stdout,"Usage: %s inp=INPfilename out=OUTfilename\n",argv[0]);
		return 1;
	}else{
/***** call ct2d_main ,  added matfile in argument list, 2014apr04  *****/
		return ct2d_main(inpfile,outfile,logfile,vtffile,pltfile,matfile,&myFEM);
	}
}
